## org.eclipse.datatools.connectivity
Class Version

    java.lang.Object
      org.eclipse.datatools.connectivity.Version

All Implemented Interfaces:
  java.lang.Comparable

    public class Version

extends java.lang.Object
implements java.lang.Comparable

Author:
  rcernich Created on May 31, 2005

Field Summary
`static Version` `NULL_VERSION`

Constructor Summary
`Version(int major, int minor, int release, java.lang.String build)`

Method Summary
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getBuild()`
`int` `getMajor()`
`int` `getMinor()`
`int` `getRelease()`
`int` `hashCode()`
`java.lang.String` `toString()`
`static Version` `valueOf(java.lang.String version)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NULL_VERSION

    public static final Version NULL_VERSION

Constructor Detail

### Version

    public Version(int major,
                   int minor,
                   int release,
                   java.lang.String build)

Method Detail

### valueOf

    public static Version valueOf(java.lang.String version)

### getMajor

    public int getMajor()

  Returns:
    the major component of this version

### getMinor

    public int getMinor()

  Returns:
    the minor component of this version

### getRelease

    public int getRelease()

  Returns:
    the release of this version

### getBuild

    public java.lang.String getBuild()

  Returns:
    the build of this version

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`